# constants

import os
import os.path
import pygtk
pygtk.require('2.0')

APPNAME = 'Straw'
VERSION = '0.26'
STRAW_URL = "http://www.gnome.org/projects/straw/"
STRAW_REF_URL = "%sstraw-ref.html" % STRAW_URL
libdir = os.path.normpath('/build/buildd/straw-0.26/debian/straw/usr/lib/straw/straw')
localedir = os.path.normpath(os.path.join('/usr/share','locale'))
datadir = os.path.normpath(os.path.join('/usr/share','straw'))

# if STRAW_IN_SOURCE_DIR, this will be the glade/ and images/ in source
# which is different from datadir (data/), whereas on default installations,
# the glade file, image files, and other data would be on the same directory
# (usually PREFIX/share/straw).
gladedir = datadir
imagedir  = datadir

def python_version():
    import sys
    return sys.version

def pygtk_version():
    # returns (major,minor,extra) triple
    import gtk
    return gtk.pygtk_version
